ConvexMonotone Class Reference
Math tools » 1-D Interpolations and corresponding traits

Convex-monotone interpolation factory and traits. More...

`#include <ql/math/interpolations/convexmonotoneinterpolation.hpp>`

## Public Member Functions

| ConvexMonotone (Real quadraticity=0.3, Real monotonicity=0.7, bool forcePositive=true)
template<class I1 , class I2 >
Interpolation | interpolate (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin) const
template<class I1 , class I2 >
Interpolation | localInterpolate (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, Size localisation, Interpolation &prevInterpolation, Size finalSize) const

## Static Public Attributes

static const bool | global = true
static const Size | requiredPoints = 2
static const Size | dataSizeAdjustment = 1

## Detailed Description

Convex-monotone interpolation factory and traits.